Bug 125202 - cdrecord --scanbus doesn't find SCSI-CD-Writer
cdrecord --scanbus doesn't find SCSI-CD-Writer
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2004-06-03 11:53 EDT by weha
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-09 05:36:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
attachment 1: FC1-devices (141 bytes, text/plain)
2004-06-03 11:57 EDT, weha
no flags Details
cdrecord --scanbus (1.80 KB, text/plain)
2004-06-03 11:57 EDT, weha
no flags Details
attachment 3: cdrecord result (2.12 KB, text/plain)
2004-06-03 11:58 EDT, weha
no flags Details
attachment 4: output of 'cdrecord -v dev=/dev/scd0' (2.28 KB, text/plain)
2004-06-03 17:05 EDT, weha
no flags Details
cdrecord command line session (2.77 KB, text/plain)
2004-06-08 15:36 EDT, Marek Kassur
no flags Details
cdrecord --scanbus on kernel 2.6.6 (927 bytes, text/plain)
2004-06-08 18:55 EDT, weha
no flags Details

  None (edit)
Description weha 2004-06-03 11:53:48 EDT
Description of problem:

My TEAC R55S SCSI CD-Writer works fine with Fedora Core 1.
devices: see attachment 1 [details]

Fedora Core 2 also recognizes the CDROM-drive at /dev/scd0 (CD-reading
works fine). But cdrecord only recognizes my ATAPI-CDROM, which isn't
a CD-Writer: see attachment 2 [details]

I have tried serveral former Versions of cdrecord (also the one
included in Fedora Core 1) whitout success.
The main problem seems to me, that there are no sg-scsi-devices:
>cat /proc/scsi/sg/devices
>cat /proc/scsi/sg/device_strs
...no result (successful in FC1, see attachment 1 [details])

I can find the CD-Weiter in the sysfs:
> cat /sys/bus/scsi/devices/0\:0\:3\:0/model
> cat /sys/bus/scsi/devices/0\:0\:3\:0/vendor

To resolve the problem. I made a link:
>ln -s /dev/scd0 /dev/sg0
>cdrecord --scanbus
 0,3,0     3) 'TEAC    ' 'CD-R55S       ' '1.0R' Removable CD-ROM

but it still doesn't work, I get the follwoing error:
see attachment 3 [details]

Version-Release number of selected component (if applicable):
all cdrecord 2.x-versions an FC2

How reproducible:

Steps to Reproduce:
1. cdrecord -scanbus
Actual results:
see attachment 2 [details]

Expected results:

Additional info:
Comment 1 weha 2004-06-03 11:57:06 EDT
Created attachment 100838 [details]
attachment 1 [details]: FC1-devices
Comment 2 weha 2004-06-03 11:57:42 EDT
Created attachment 100839 [details]
cdrecord --scanbus
Comment 3 weha 2004-06-03 11:58:32 EDT
Created attachment 100840 [details]
attachment 3 [details]: cdrecord result
Comment 4 Harald Hoyer 2004-06-03 12:03:51 EDT
can you try:

# cdrecord dev=/dev/scd0
Comment 5 weha 2004-06-03 17:05:12 EDT
Created attachment 100852 [details]
attachment 4 [details]: output of 'cdrecord -v dev=/dev/scd0'

I already tried 'cdrecord -v dev=/dev/scd0' - with the same result (see
attachment 4 [details])
Comment 6 Marek Kassur 2004-06-08 15:32:57 EDT
My Yamaha CD-Writer on the SCSI bus works with dev=/dev/scd0, although
it should be recognized with simple -scanbus it always works that way
but not on the FC2.
Comment 7 Harald Hoyer 2004-06-08 15:34:58 EDT
should work again with kernel 2.6.6
Comment 8 Marek Kassur 2004-06-08 15:36:58 EDT
Created attachment 100975 [details]
cdrecord command line session
Comment 9 weha 2004-06-08 18:55:49 EDT
Created attachment 100981 [details]
cdrecord --scanbus on kernel 2.6.6

I just updated the kernel to 2.6.6 and it works fine. 

Thanks a lot.
Werner Hagmanns

Note You need to log in before you can comment on or make changes to this bug.